<?php
	

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	// Obtenemos la traducción de una frase en un idioma
	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function traducir($frase, $idioma = NULL){
		$retorno = $frase;
		include('comunes/globals.php');
		if ($idioma == NULL){
			$idioma = Sesion::get('idioma');
		}
		$idioma = ($idioma != NULL)? $idioma : Shop::$configuracion->idioma;
		if ( ($conexionBD) && ($idioma != NULL) ){
			//Toda frase que no se encuentra como frase "maestra" la vamos a insertar con el idioma maestro (código MAE, es un idioma que no existe)
			//Tenemos que reemplazar las comillas simples por su carácter html
			$frase = str_replace("'", '&#39;', $frase);
			$sentencia_sql = "SELECT codigo FROM traduccion WHERE idioma = 'MAE' AND frase = '" . $frase . "'";
			//echo("$sentencia_sql<br />\n");
			$existe = false;
			if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
				$total = mysqli_num_rows($resultado);
				//echo("Para la frase $frase, hay un total de $total elementos<br />\n");
				if ($total > 0){
					$existe = true;
					//Vamos a coger cómo frase la primera que encontremos
					/*
					if ($fila = mysqli_fetch_array($resultado)){
						$retorno = $fila["frase"];
					}
					*/
				}
			}
			if (!$existe){
				//Vamos a coger el último código de ese idioma
				$ultimo_codigo = 0;
				$sentencia_sql = 'SELECT codigo FROM traduccion WHERE idioma = "MAE" ORDER BY codigo DESC LIMIT 0,1';
				//echo("$sentencia_sql<br />\n");
				if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
					if ($fila = mysqli_fetch_array($resultado)){
						$ultimo_codigo = $fila['codigo'];
					}
				}
				$ultimo_codigo++;
				$sentencia_sql = "INSERT INTO traduccion (idioma, codigo, frase) VALUES ('MAE', $ultimo_codigo, '$frase')";
				//echo("$sentencia_sql<br />\n");
				mysqli_query($conexionBD, $sentencia_sql);
			}
			//$sentencia_sql = "SELECT frase FROM traduccion WHERE idioma = '$idioma' AND codigo = (SELECT codigo FROM traduccion WHERE idioma = 'SPA' AND (frase REGEXP '[[:<:]]" . $frase . "[[:>:]]') )";
			$sentencia_sql = "SELECT frase FROM traduccion WHERE idioma = '$idioma' AND codigo = (SELECT codigo FROM traduccion WHERE idioma = 'MAE' AND frase = '" . $frase . "' LIMIT 0, 1)";
			if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
				if ($fila = mysqli_fetch_array($resultado)){
					$retorno = $fila['frase'];
				}
			}
		}
		return(htmlentities($retorno));
		//return($retorno);
		//return(htmlentities($retorno, ENT_HTML5, "ISO-8859-1"));
	}
	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	// FIN Obtenemos la traducción de una frase en un idioma
	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	function getLocale($idioma = NULL){
		include('comunes/globals.php');
		//Si no se nos ha pasado ningún idioma, cogemos el de la sesión
		$idioma = ($idioma == NULL) ? Sesion::get('idioma') : $idioma;
		$retorno = 'es_ES';
		$sentencia_sql = "SELECT `locale` FROM `idioma` WHERE UPPER(`codigo`) = '" . strtoupper($idioma) . "' AND disponible = 1 ";
		//echo("$sentencia_sql<br />\n");
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			if ($fila = mysqli_fetch_array($resultado)){
				//print_r($fila);
				//echo("A" . $fila["locale"] . " pasa<br />\n");
				$retorno = $fila['locale'];
			}
		}
		return($retorno);
	}
?>
